summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-03-10 17:10:53 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2018-03-10 23:22:26 +0100
commitdc75aff34f69068abbde04d0beb063fad3f76c91 (patch)
treef4c825abfe29afad5d0bca0b2ec3371fe67475ff /kde-frameworks/kactivities
parentdev-util/meson: Finish 0.44.1 stabilization for bug #649290. (diff)
downloadgentoo-dc75aff34f69068abbde04d0beb063fad3f76c91.tar.gz
gentoo-dc75aff34f69068abbde04d0beb063fad3f76c91.tar.bz2
gentoo-dc75aff34f69068abbde04d0beb063fad3f76c91.zip
kde-frameworks: Add KDE Frameworks 5.44.0
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'kde-frameworks/kactivities')
-rw-r--r--kde-frameworks/kactivities/Manifest1
-rw-r--r--kde-frameworks/kactivities/kactivities-5.44.0.ebuild26
2 files changed, 27 insertions, 0 deletions
diff --git a/kde-frameworks/kactivities/Manifest b/kde-frameworks/kactivities/Manifest
index 82e21e49eeb..4344a1c811f 100644
--- a/kde-frameworks/kactivities/Manifest
+++ b/kde-frameworks/kactivities/Manifest
@@ -1,2 +1,3 @@
DIST kactivities-5.40.0.tar.xz 61272 BLAKE2B a21e9858572be9ec8e6d09bb46213cd42ed33925ed0f527290a0ac232d3594ab5d0f8d66ed3764cb2e4440e06f57f002ef7ec7939d1fe98c2846c1516e7766f5 SHA512 030c3678c2971c9d499c9cdb863363ae82e35295d88aec141149988aa1596996cf0a32863db6024ac2ed15879d8edc5feef4b72ee89d2efe5641b33690ecfbce
DIST kactivities-5.43.0.tar.xz 61328 BLAKE2B f5be8fd23dae3de0b675dec2fec72120805452df36fbbd1f530c26eea29823d14dee347e4f3ef4daa588fe3d2ced0d0e89bb609efd0fe29323183cdb613dec91 SHA512 121a3704558bdc8fc4e71519face18593800a549b2cffff1919ccb0255a29d24075523e96ca3bdf7c999b0dca1dd8b30609b3db7e7538c94f550bb7d69f17c19
+DIST kactivities-5.44.0.tar.xz 61328 BLAKE2B 999944d90437672c4141d973a3b641d64cd3fb7afe42c4cb0301a6f1fc9688cb31c0ea383580e10423b2ddfd851de4ab70ef31070f370041177e4de34990047e SHA512 2b988cfbadbcade024ef8886bd8394c9b6bc6929909c88b4c8a494887d0918e6bf804c93929bb676b7cdf990b34975d246e6435ef7435e97265eda1ca86d12a8
diff --git a/kde-frameworks/kactivities/kactivities-5.44.0.ebuild b/kde-frameworks/kactivities/kactivities-5.44.0.ebuild
new file mode 100644
index 00000000000..9bc7ca2a180
--- /dev/null
+++ b/kde-frameworks/kactivities/kactivities-5.44.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="Framework for working with KDE activities"
+LICENSE="|| ( LGPL-2.1 LGPL-3 )"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE=""
+
+COMMON_DEPEND="
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative widgets)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtsql)
+"
+RDEPEND="${COMMON_DEPEND}
+ $(add_plasma_dep kactivitymanagerd)
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-libs/boost-1.54
+"